Loading...
Searching...
No Matches
libcamera::V4L2SubdeviceCapability Struct Referencefinal

struct v4l2_subdev_capability object wrapper and helpers More...

Inheritance diagram for libcamera::V4L2SubdeviceCapability:
[legend]
Collaboration diagram for libcamera::V4L2SubdeviceCapability:
[legend]

## Public Member Functions

bool | isReadOnly () const
| Retrieve if a subdevice is registered as read-only.
bool | hasStreams () const
| Retrieve if a subdevice supports the V4L2 streams API.

## Detailed Description

struct v4l2_subdev_capability object wrapper and helpers

The V4L2SubdeviceCapability structure manages the information returned by the VIDIOC_SUBDEV_QUERYCAP ioctl.

## Member Function Documentation

## hasStreams()

bool libcamera::V4L2SubdeviceCapability::hasStreams | ( |  | ) | const

inline

Retrieve if a subdevice supports the V4L2 streams API.

Returns
  True if the subdevice supports the streams API, false otherwise

## isReadOnly()

bool libcamera::V4L2SubdeviceCapability::isReadOnly | ( |  | ) | const

inline

Retrieve if a subdevice is registered as read-only.

A V4L2 subdevice is registered as read-only if V4L2_SUBDEV_CAP_RO_SUBDEV is listed as part of its capabilities.

Returns
  True if the subdevice is registered as read-only, false otherwise

The documentation for this struct was generated from the following files:

- include/libcamera/internal/v4l2_subdevice.h
- src/libcamera/v4l2_subdevice.cpp